<h1>ng-style</h1>
<h1>Pockemons</h1>
<table>
  <thead>
    <th>Index</th>
    <th>Name</th>
    <th>Type</th>
  </thead>
  <tbody>
    <tr *ngFor="let pokemon of pokemons; let i = index">
      <td
        [ngStyle]="{
          backgroundColor: pokemon.isStylish ? 'red' : '',
          color: pokemon.name === 'Pickachu' ? 'green' : '',
        }"
      >
        {{ pokemon.id }}
      </td>
      <td [style.backgroundColor]="pokemon.isActive ? 'yellow' : 'grey'">
        {{ pokemon.name }}
      </td>
      <td>{{ pokemon.type }}</td>
    </tr>
  </tbody>
</table>
